%define enable_drakx_version 0
%global _legacy_common_support 1

%{?_with_drakx: %global enable_drakx_version 1}

Summary: 	Window manager for the Matchbox Desktop
Name: 		matchbox-window-manager
Version: 	1.2
Release: 	%mkrel 29
Url: 		https://www.yoctoproject.org/tools-resources/projects/matchbox
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source0: 	http://downloads.yoctoproject.org/releases/matchbox/%name/%version/%{name}-%{version}.tar.bz2
#specific theme for installer
Source1:	matchbox-ia_ora.tar.bz2
Source2:	30-start-matchbox.xsetup
Source3:	80-stop-matchbox.xsetup
Source4:	drakx-installer-xsetup
Source5:	drakx-installer-xsetup.service
# (fc) 1.2-2mdv various bug fixes from SVN
Patch0:		matchbox-window-manager-1.2-svnfixes.patch
# (fc) 1.2-2mdv various customizations for DrakX
Patch1:		matchbox-window-manager-1.2-drakx.patch
# (fc) 1.2-3mdv extend theme for separate decorations for modal dialogs
Patch2:		matchbox-window-manager-1.2-modal.patch
Patch3:		matchbox-window-manager-1.2-lm.patch
Patch4:		matchbox-1.2-automake-1.13.patch
BuildRequires:	pkgconfig 
BuildRequires:	pkgconfig(libmb) 
BuildRequires:	pkgconfig(expat) 
BuildRequires:	pkgconfig(libstartup-notification-1.0) 
BuildRequires:	libXsettings-client-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  autoconf
Requires(preun):GConf2

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the window manager from Matchbox.

%package -n drakx-installer-matchbox
Summary:	Customized version of Matchbox for DrakX installer
Group:		Graphical desktop/Other

Requires(post):	rpm-helper >= %{rpmhelper_required_version}
Requires(preun):rpm-helper >= %{rpmhelper_required_version}

%description -n drakx-installer-matchbox
Customized version of Matchbox Window Manager for DrakX installer

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
[ -d standard ] || mkdir standard
cd standard
CONFIGURE_TOP=.. \
%configure --enable-expat --disable-composite \
--enable-gconf --enable-startup-notification

%make_build
cd -

[ -d drakx ] || mkdir drakx
cd drakx
CONFIGURE_TOP=.. \
CFLAGS="%optflags -DDRAKX_VERSION" %configure --enable-expat --disable-composite \
--disable-session --disable-keyboard --disable-ping-protocol --disable-xrm --disable-gconf --disable-startup-notification --disable-xsettings

%make_build
cd -

%install
cd standard
%make_install
cd -

#this file is ignored 
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/matchbox/kbdconfig

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xsetup.d/
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/systemd/
mkdir -p $RPM_BUILD_ROOT%{_unitdir}

install -m755 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xsetup.d/
install -m755 %{SOURCE4} $RPM_BUILD_ROOT%{_prefix}/lib/systemd/drakx-installer-xsetup
install -m644 %{SOURCE5} $RPM_BUILD_ROOT%{_unitdir}/drakx-installer-xsetup.service

tar -x -C $RPM_BUILD_ROOT -f %{SOURCE1}

install -m 755 drakx/src/matchbox-window-manager $RPM_BUILD_ROOT%{_bindir}/drakx-matchbox-window-manager

%define schemas matchbox

%if !%{enable_drakx_version}
%preun
%preun_uninstall_gconf_schemas %{schemas}
%endif

%post -n drakx-installer-matchbox
%_post_service drakx-installer-xsetup

%preun -n drakx-installer-matchbox
%_preun_service drakx-installer-xsetup

%files
%doc AUTHORS README ChangeLog
%_sysconfdir/gconf/schemas/matchbox.schemas
%_bindir/matchbox*
%_datadir/matchbox/*
%_datadir/themes/*
%exclude %_datadir/themes/Ia*Ora*Smooth

%files -n drakx-installer-matchbox
%_sysconfdir/X11/xsetup.d/*.xsetup
%_bindir/drakx-matchbox-window-manager
%_datadir/themes/Ia*Ora*Smooth
%_datadir/matchbox/*
%{_prefix}/lib/systemd/drakx-installer-xsetup
%{_unitdir}/drakx-installer-xsetup.service


%changelog
* Fri Aug 21 2020 joequant <joequant> 1.2-29.mga8
+ Revision: 1617515
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 1.2-28.mga8
+ Revision: 1520422
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Nov 21 2018 martinw <martinw> 1.2-27.mga7
+ Revision: 1332922
- ensure plymouth has quit before starting drakx-installer-xsetup
  o needed because GDM blocks the plymouth-quit service
- force drakx-installer-xsetup to display on vt1

* Fri Nov 09 2018 martinw <martinw> 1.2-26.mga7
+ Revision: 1329042
- Fix requires for drakx-installer-matchbox (mga#23828)

* Tue Oct 30 2018 martinw <martinw> 1.2-25.mga7
+ Revision: 1326579
- add systemd service to execute xsetup scripts for live startup and install
  o this used to be done by prefdm
- drop support for firstboot script - it no longer exists

* Sun Sep 23 2018 umeabot <umeabot> 1.2-24.mga7
+ Revision: 1299464
- Mageia 7 Mass Rebuild

* Sat Jul 02 2016 tmb <tmb> 1.2-23.mga6
+ Revision: 1038322
- dont check for firefox as we dont use it at install time anymore
- drakx-installer-matchbox: disable composite (mga#17223)

* Mon Feb 08 2016 umeabot <umeabot> 1.2-22.mga6
+ Revision: 945969
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-21.mga5
+ Revision: 741905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-20.mga5
+ Revision: 682182
- Mageia 5 Mass Rebuild

* Mon Nov 11 2013 tv <tv> 1.2-19.mga4
+ Revision: 550601
- fix URL

* Sat Oct 19 2013 umeabot <umeabot> 1.2-18.mga4
+ Revision: 531483
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 1.2-17.mga4
+ Revision: 463710
- use autoreconf

* Sat Jan 19 2013 fwang <fwang> 1.2-17.mga3
+ Revision: 389774
- fix build with latest automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 rtp <rtp> 1.2-16.mga3
+ Revision: 302832
- fix build

* Tue Feb 08 2011 pterjan <pterjan> 1.2-15.mga1
+ Revision: 49255
- Drop old stuff and fix license
- imported package matchbox-window-manager

